CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends
csl::CPoint Class Reference

`#include <CPoint.h>`

List of all members.

## Public Member Functions
| CPoint ()
| CPoint (int a)
| CPoint (float a)
| CPoint (double a)
| CPoint (int a, int b)
| CPoint (float a, float b)
| CPoint (double a, double b)
| CPoint (int a, int b, int c)
| CPoint (float a, float b, float c)
| CPoint (double a, double b, double c)
| CPoint (PointMode m, float tr, float ttheta)
| CPoint (char s, double tr, double ttheta)
| CPoint (PointMode m, float tr, float ttheta, float psi)
| CPoint (char s, double tr, double ttheta, double tele)
| ~CPoint ()
void | set (int a, int b)
void | set (int a, int b, int c)
void | set (float a, float b)
void | set (float a, float b, float c)
void | set (double a, double b)
void | set (double a, double b, double c)
void | set (PointMode m, float a, float b)
void | set (PointMode m, float a, float b, float c)
void | set (char s, double tr, double ttheta)
void | set (char s, double tr, double ttheta, double tele)
void | setAzimuth (double taz)
void | setElevation (double tele)
void | setMagnitude (double tmag)
unsigned | dim ()
unsigned | setdim (unsigned)
CPoint | operator- ()
CPoint | operator~ ()
int | operator== (CPoint)
int | operator!= (CPoint)
CPoint | operator+ (CPoint)
CPoint | operator- (CPoint)
COORD_TYPE | operator* (CPoint)
COORD_TYPE | operator| (CPoint)
CPoint | operator^ (CPoint)
CPoint & | operator*= (double)
CPoint & | operator/= (double)
CPoint & | operator+= (CPoint)
CPoint & | operator-= (CPoint)
CPoint & | operator^= (CPoint)
COORD_TYPE | distance (CPoint *)
COORD_TYPE | distance2 (CPoint *)
COORD_TYPE | distance (CPoint &)
COORD_TYPE | distance2 (CPoint &)
COORD_TYPE | operator() (unsigned idx) const
COORD_TYPE | len ()
COORD_TYPE | len2 ()
COORD_TYPE | r ()
COORD_TYPE | theta ()
COORD_TYPE | phi ()
COORD_TYPE | ele ()
void | rotateBy (double angle)
void | dump ()
void | dumpPol ()
void | normalize ()

## Public Attributes
unsigned | dimn
COORD_TYPE | x
COORD_TYPE | y
COORD_TYPE | z

## Friends
CPoint | operator* (int, CPoint)
CPoint | operator* (float, CPoint)
CPoint | operator* (double, CPoint)
CPoint | operator* (CPoint, int)
CPoint | operator* (CPoint, float)
CPoint | operator* (CPoint, double)
CPoint | operator/ (CPoint, int)
CPoint | operator/ (CPoint, float)
CPoint | operator/ (CPoint, double)

## Detailed Description

Definition at line 37 of file CPoint.h.

## Constructor & Destructor Documentation

csl::CPoint::CPoint | ( |  | ) |
| inline

Definition at line 44 of file CPoint.h.

References dimn, x, y, and z.

csl::CPoint::CPoint | ( | int | a | ) |
| inline

Definition at line 47 of file CPoint.h.

References dimn, x, y, and z.

csl::CPoint::CPoint | ( | float | a | ) |
| inline

Definition at line 48 of file CPoint.h.

References dimn, x, y, and z.

csl::CPoint::CPoint | ( | double | a | ) |
| inline

Definition at line 49 of file CPoint.h.

References dimn, x, y, and z.

csl::CPoint::CPoint | ( | int | a,
|  | int | b
| ) |  |
| inline

Definition at line 52 of file CPoint.h.

References dimn, x, y, and z.

csl::CPoint::CPoint | ( | float | a,
|  | float | b
| ) |  |
| inline

Definition at line 53 of file CPoint.h.

References COORD_TYPE, dimn, x, y, and z.

csl::CPoint::CPoint | ( | double | a,
|  | double | b
| ) |  |
| inline

Definition at line 54 of file CPoint.h.

References COORD_TYPE, dimn, x, y, and z.

csl::CPoint::CPoint | ( | int | a,
|  | int | b,
|  | int | c
| ) |  |
| inline

Definition at line 57 of file CPoint.h.

References dimn, x, y, and z.

csl::CPoint::CPoint | ( | float | a,
|  | float | b,
|  | float | c
| ) |  |
| inline

Definition at line 58 of file CPoint.h.

References COORD_TYPE, dimn, x, y, and z.

csl::CPoint::CPoint | ( | double | a,
|  | double | b,
|  | double | c
| ) |  |
| inline

Definition at line 59 of file CPoint.h.

References COORD_TYPE, dimn, x, y, and z.

CPoint::CPoint | ( | PointMode | m,
|  | float | tr,
|  | float | ttheta
| ) |  |

Definition at line 18 of file CPoint.cpp.

References dimn, kCartesian, x, y, and z.

csl::CPoint::CPoint | ( | char | s,
|  | double | tr,
|  | double | ttheta
| ) |  |
| inline

Definition at line 63 of file CPoint.h.

References dimn, x, y, and z.

CPoint::CPoint | ( | PointMode | m,
|  | float | tr,
|  | float | ttheta,
|  | float | psi
| ) |  |

Definition at line 31 of file CPoint.cpp.

References dimn, kCartesian, x, y, and z.

csl::CPoint::CPoint | ( | char | s,
|  | double | tr,
|  | double | ttheta,
|  | double | tele
| ) |  |
| inline

Definition at line 66 of file CPoint.h.

References dimn, x, y, and z.

csl::CPoint::~CPoint | ( |  | ) |
| inline

Definition at line 70 of file CPoint.h.

## Member Function Documentation

void csl::CPoint::set | ( | int | a,
|  | int | b
| ) |  |
| inline

Definition at line 73 of file CPoint.h.

References dimn, x, y, and z.

Referenced by csl::HRTFDatabase::loadFromDB(), csl::NtoMPanner::nextBuffer(), Controller::set_data(), csl::SpatialSource::setPosition(), and csl::Speaker::Speaker().

void csl::CPoint::set | ( | int | a,
|  | int | b,
|  | int | c
| ) |  |
| inline

Definition at line 74 of file CPoint.h.

References dimn, x, y, and z.

void csl::CPoint::set | ( | float | a,
|  | float | b
| ) |  |
| inline

Definition at line 75 of file CPoint.h.

References COORD_TYPE, dimn, x, y, and z.

void csl::CPoint::set | ( | float | a,
|  | float | b,
|  | float | c
| ) |  |
| inline

Definition at line 76 of file CPoint.h.

References COORD_TYPE, dimn, x, y, and z.

void csl::CPoint::set | ( | double | a,
|  | double | b
| ) |  |
| inline

Definition at line 77 of file CPoint.h.

References COORD_TYPE, dimn, x, y, and z.

void csl::CPoint::set | ( | double | a,
|  | double | b,
|  | double | c
| ) |  |
| inline

Definition at line 78 of file CPoint.h.

References COORD_TYPE, dimn, x, y, and z.

void CPoint::set | ( | PointMode | m,
|  | float | a,
|  | float | b
| ) |  |

Definition at line 62 of file CPoint.cpp.

References dimn, kCartesian, x, y, and z.

void CPoint::set | ( | PointMode | m,
|  | float | a,
|  | float | b,
|  | float | c
| ) |  |

Definition at line 74 of file CPoint.cpp.

References dimn, kCartesian, x, y, and z.

void csl::CPoint::set | ( | char | s,
|  | double | tr,
|  | double | ttheta
| ) |  |
| inline

Definition at line 81 of file CPoint.h.

References dimn, x, y, and z.

void csl::CPoint::set | ( | char | s,
|  | double | tr,
|  | double | ttheta,
|  | double | tele
| ) |  |
| inline

Definition at line 82 of file CPoint.h.

References dimn, x, y, and z.

void CPoint::setAzimuth | ( | double | taz | ) |

Definition at line 87 of file CPoint.cpp.

References len(), x, and y.

Referenced by csl::SpatialSource::setAzimuth().

void CPoint::setElevation | ( | double | tele | ) |

Definition at line 93 of file CPoint.cpp.

References len(), theta(), x, y, and z.

Referenced by csl::SpatialSource::setElevation().

void CPoint::setMagnitude | ( | double | tmag | ) |

Definition at line 101 of file CPoint.cpp.

References dimn, len(), x, y, and z.

Referenced by csl::SpatialSource::setDistance().

unsigned csl::CPoint::dim | ( |  | ) |
| inline

Definition at line 89 of file CPoint.h.

References dimn.

Referenced by operator!=(), operator*(), operator+(), operator+(), operator+=(), operator-(), operator-=(), operator/(), and operator==().

unsigned CPoint::setdim | ( | unsigned | n | ) |

Definition at line 53 of file CPoint.cpp.

References dimn, y, and z.

CPoint CPoint::operator- | ( |  | ) |

Definition at line 115 of file CPoint.cpp.

References dimn, x, y, and z.

CPoint CPoint::operator~ | ( |  | ) |

Definition at line 124 of file CPoint.cpp.

References dimn, x, y, and z.

int CPoint::operator== | ( | CPoint | Q | ) |

Definition at line 134 of file CPoint.cpp.

References dim(), dimn, FALSE, x, y, and z.

int CPoint::operator!= | ( | CPoint | Q | ) |

Definition at line 147 of file CPoint.cpp.

References dim(), dimn, TRUE, x, y, and z.

CPoint CPoint::operator+ | ( | CPoint | v | ) |

Definition at line 162 of file CPoint.cpp.

References csl_max, dim(), dimn, x, y, and z.

CPoint CPoint::operator- | ( | CPoint | v | ) |

Definition at line 171 of file CPoint.cpp.

References csl_max, dim(), dimn, x, y, and z.

COORD_TYPE CPoint::operator* | ( | CPoint | w | ) |

Definition at line 185 of file CPoint.cpp.

References x, y, and z.

COORD_TYPE CPoint::operator| | ( | CPoint | w | ) |

Definition at line 190 of file CPoint.cpp.

References x, and y.

CPoint CPoint::operator^ | ( | CPoint | w | ) |

Definition at line 196 of file CPoint.cpp.

References dimn, x, y, and z.

CPoint & CPoint::operator*= | ( | double | c | ) |

Definition at line 205 of file CPoint.cpp.

References x, y, and z.

CPoint & CPoint::operator/= | ( | double | c | ) |

Definition at line 212 of file CPoint.cpp.

References x, y, and z.

CPoint & CPoint::operator+= | ( | CPoint | v | ) |

Definition at line 219 of file CPoint.cpp.

References csl_max, dim(), dimn, x, y, and z.

CPoint & CPoint::operator-= | ( | CPoint | v | ) |

Definition at line 227 of file CPoint.cpp.

References csl_max, dim(), dimn, x, y, and z.

CPoint & CPoint::operator^= | ( | CPoint | w | ) |

Definition at line 235 of file CPoint.cpp.

References dimn, x, y, and z.

COORD_TYPE CPoint::distance | ( | CPoint * | Q | ) |

Definition at line 353 of file CPoint.cpp.

References COORD_TYPE, x, y, and z.

Referenced by csl::SpeakerSetLayout::findSpeakerTriplets().

COORD_TYPE CPoint::distance2 | ( | CPoint * | Q | ) |

Definition at line 360 of file CPoint.cpp.

References COORD_TYPE, x, y, and z.

Referenced by PME::check_for_grabbed_source(), and csl::HRTFDatabase::hrtfAt().

COORD_TYPE CPoint::distance | ( | CPoint & | Q | ) |

Definition at line 367 of file CPoint.cpp.

References COORD_TYPE, x, y, and z.

COORD_TYPE CPoint::distance2 | ( | CPoint & | Q | ) |

Definition at line 374 of file CPoint.cpp.

References COORD_TYPE, x, y, and z.

COORD_TYPE CPoint::operator() | ( | unsigned | idx | ) | const

Definition at line 338 of file CPoint.cpp.

References x, y, and z.

COORD_TYPE csl::CPoint::len | ( |  | ) |
| inline

Definition at line 143 of file CPoint.h.

References x, y, and z.

Referenced by Orbit::calculate_eccentricity(), Orbit::calculate_orbital_params(), ele(), csl::VBAP::nextBuffer(), normalize(), r(), rotateBy(), setAzimuth(), setElevation(), setMagnitude(), and vecAngle().

COORD_TYPE csl::CPoint::len2 | ( |  | ) |
| inline

Definition at line 147 of file CPoint.h.

References x, y, and z.

COORD_TYPE csl::CPoint::r | ( |  | ) |
| inline

Definition at line 151 of file CPoint.h.

References len().

Referenced by csl::SpatialSource::distance(), dumpPol(), and csl::Speaker::radius().

COORD_TYPE CPoint::theta | ( |  | ) |

Definition at line 383 of file CPoint.cpp.

References COORD_TYPE, CSL_PI, CSL_TWOPI, x, and y.

Referenced by csl::SpatialSource::azimuth(), csl::Speaker::azimuth(), dumpPol(), rotateBy(), and setElevation().

COORD_TYPE CPoint::phi | ( |  | ) |

Definition at line 403 of file CPoint.cpp.

References CSL_PI, x, y, and z.

COORD_TYPE CPoint::ele | ( |  | ) |

Definition at line 410 of file CPoint.cpp.

References len(), and z.

Referenced by dumpPol(), csl::SpatialSource::elevation(), and csl::Speaker::elevation().

void CPoint::rotateBy | ( | double | angle | ) |

Definition at line 416 of file CPoint.cpp.

References COORD_TYPE, len(), theta(), x, and y.

Referenced by csl::NtoMPanner::nextBuffer().

void csl::CPoint::dump | ( | void |  | ) |
| inline

Definition at line 159 of file CPoint.h.

References x, y, and z.

void csl::CPoint::dumpPol | ( |  | ) |
| inline

Definition at line 160 of file CPoint.h.

References CSL_DEGS_PER_RAD, ele(), r(), and theta().

void CPoint::normalize | ( |  | ) |

Definition at line 423 of file CPoint.cpp.

References COORD_TYPE, len(), x, y, and z.

Referenced by Orbit::calculate_eccentricity(), csl::HRTFDatabase::hrtfAt(), csl::VBAP::nextBuffer(), and csl::Speaker::setRadius().

## Friends And Related Function Documentation

CPoint operator* | ( | int | c,
|  | CPoint | Q
| ) |  |
| friend

Definition at line 246 of file CPoint.cpp.

CPoint operator* | ( | float | c,
|  | CPoint | Q
| ) |  |
| friend

Definition at line 255 of file CPoint.cpp.

CPoint operator* | ( | double | c,
|  | CPoint | Q
| ) |  |
| friend

Definition at line 264 of file CPoint.cpp.

CPoint operator* | ( | CPoint | Q,
|  | int | c
| ) |  |
| friend

Definition at line 273 of file CPoint.cpp.

CPoint operator* | ( | CPoint | Q,
|  | float | c
| ) |  |
| friend

Definition at line 282 of file CPoint.cpp.

CPoint operator* | ( | CPoint | Q,
|  | double | c
| ) |  |
| friend

Definition at line 291 of file CPoint.cpp.

CPoint operator/ | ( | CPoint | Q,
|  | int | c
| ) |  |
| friend

Definition at line 300 of file CPoint.cpp.

CPoint operator/ | ( | CPoint | Q,
|  | float | c
| ) |  |
| friend

Definition at line 309 of file CPoint.cpp.

CPoint operator/ | ( | CPoint | Q,
|  | double | c
| ) |  |
| friend

Definition at line 318 of file CPoint.cpp.

## Member Data Documentation

unsigned csl::CPoint::dimn

Definition at line 40 of file CPoint.h.

Referenced by CPoint(), dim(), operator!=(), operator*(), operator+(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator==(), operator^(), operator^=(), operator~(), set(), setdim(), and setMagnitude().

COORD_TYPE csl::CPoint::x

Definition at line 41 of file CPoint.h.

Referenced by Orbit::calculate_absolute_position(), Orbit::calculate_orbital_params(), csl::ShoeBox::calculateReflections(), csl::ShoeBox::checkPositionValues(), CPoint(), distance(), distance2(), dump(), csl::ShoeBox::findNumReflectionsFromTime(), csl::SpeakerSetLayout::findSpeakerTriplets(), len(), len2(), csl::VBAP::nextBuffer(), normalize(), operator!=(), operator()(), operator*(), operator*(), operator*=(), operator+(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator==(), operator^(), operator^=(), operator|(), operator~(), phi(), csl::SpeakerLayout::readSpeakerFile(), rotateBy(), set(), setAzimuth(), setElevation(), csl::ShoeBox::setListenerLocation(), setMagnitude(), csl::ShoeBox::setRoomSize(), csl::ShoeBox::setSourceLocation(), theta(), and PMESource::update_position().

COORD_TYPE csl::CPoint::y

Definition at line 41 of file CPoint.h.

Referenced by Orbit::calculate_absolute_position(), Orbit::calculate_orbital_params(), csl::ShoeBox::calculateReflections(), csl::ShoeBox::checkPositionValues(), CPoint(), distance(), distance2(), dump(), csl::ShoeBox::findNumReflectionsFromTime(), csl::SpeakerSetLayout::findSpeakerTriplets(), len(), len2(), csl::VBAP::nextBuffer(), normalize(), operator!=(), operator()(), operator*(), operator*(), operator*=(), operator+(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator==(), operator^(), operator^=(), operator|(), operator~(), phi(), csl::SpeakerLayout::readSpeakerFile(), rotateBy(), set(), setAzimuth(), setdim(), setElevation(), csl::ShoeBox::setListenerLocation(), setMagnitude(), csl::ShoeBox::setRoomSize(), csl::ShoeBox::setSourceLocation(), theta(), and PMESource::update_position().

COORD_TYPE csl::CPoint::z

Definition at line 41 of file CPoint.h.

Referenced by Orbit::calculate_absolute_position(), Orbit::calculate_orbital_params(), csl::ShoeBox::calculateReflections(), csl::ShoeBox::checkPositionValues(), CPoint(), distance(), distance2(), dump(), ele(), csl::ShoeBox::findNumReflectionsFromTime(), csl::SpeakerSetLayout::findSpeakerTriplets(), len(), len2(), csl::VBAP::nextBuffer(), normalize(), operator!=(), operator()(), operator*(), operator*(), operator*=(), operator+(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator==(), operator^(), operator^=(), operator~(), phi(), csl::SpeakerLayout::readSpeakerFile(), set(), setdim(), setElevation(), csl::ShoeBox::setListenerLocation(), setMagnitude(), csl::ShoeBox::setRoomSize(), csl::ShoeBox::setSourceLocation(), and PMESource::update_position().

The documentation for this class was generated from the following files:

- CSL/Utilities/CPoint.h
- CSL/Utilities/CPoint.cpp